Open SCAP Library: oval_state_content Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
oval_state_content Struct Reference
OVAL » OVALDEF

An Oval_state_content instance specifies an oval_state field. More...

`#include <oval_definitions.h>`

## Public Member Functions
struct oval_state_content * | oval_state_content_new (struct oval_definition_model *)
struct oval_state_content * | oval_state_content_clone (struct oval_definition_model *new_model, struct oval_state_content *old_content)
void | oval_state_content_free (struct oval_state_content *)
Setters
void | oval_state_content_set_entity (struct oval_state_content *, struct oval_entity *)
void | oval_state_content_add_record_field (struct oval_state_content *, struct oval_record_field *)
void | oval_state_content_set_varcheck (struct oval_state_content *, oval_check_t)
void | oval_state_content_set_entcheck (struct oval_state_content *, oval_check_t)
void | oval_state_content_set_check_existence (struct oval_state_content *content, oval_existence_t existence)
| Sets the "check_existence" attribute of an OVAL state entity. More...
Getters
struct oval_entity * | oval_state_content_get_entity (struct oval_state_content *)
| Get entity of a state content. More...
struct oval_record_field_iterator * | oval_state_content_get_record_fields (struct oval_state_content *)
oval_check_t | oval_state_content_get_var_check (struct oval_state_content *)
| Get multipe variable values processing of a state content.
oval_check_t | oval_state_content_get_ent_check (struct oval_state_content *)
| Get multipe entities processing of a state content.
oval_existence_t | oval_state_content_get_check_existence (struct oval_state_content *content)
| Get "check_existence" attribute of an OVAL state entity. More...

## Data Fields
struct oval_definition_model * | model
struct oval_entity * | entity
struct oval_collection * | record_fields
oval_check_t | ent_check
oval_check_t | var_check
oval_existence_t | check_existence

## Detailed Description

An Oval_state_content instance specifies an oval_state field.

The documentation for this struct was generated from the following files:

- oval_stateContent.c
- oval_definitions.h